
version: '3.6'

services:

  backend-core:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-backend-core:25.12.52
    ports:
      - 31313:31313
    environment:
      ARMS_DETAIL_CONNECT_URL: https://www.a-rms.net
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/backend-core:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.10.186:24224
        fluentd-retry-wait: "60s"
        fluentd-max-retries: "30"
        tag: backendcore

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
